Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"cards": [
{
"member_role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"card": {
"id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"code": "<string>",
"lifetime_bucket": {
"points": {
"total": 123,
"earned": 123,
"added": 123,
"subtracted": 123,
"expired": 123,
"spent": 123,
"refunded": 123,
"returned": 123,
"locked": 123,
"unlocked": 123
},
"pending_points": {
"total": 123,
"activated": 123,
"canceled": 123
}
},
"balance": {
"points": 123,
"pending_points": 123
},
"next_expiration": {
"points": 123,
"date": "2023-12-25"
},
"next_activation": {
"points": 123,
"type": "<string>",
"date": "2023-12-25",
"cancel_date": "2023-12-25"
},
"object": "<string>"
},
"object": "<string>"
}
]
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Retrieves a single member by ID within a program, including their assigned cards with balances.
Note: Card code generation is asynchronous. The card code field may be null if code generation has not completed yet (e.g. shortly after member creation).
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members/{memberId} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"cards": [
{
"member_role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"card": {
"id": "<string>",
"card_definition_id": "<string>",
"card_type": "<string>",
"code": "<string>",
"lifetime_bucket": {
"points": {
"total": 123,
"earned": 123,
"added": 123,
"subtracted": 123,
"expired": 123,
"spent": 123,
"refunded": 123,
"returned": 123,
"locked": 123,
"unlocked": 123
},
"pending_points": {
"total": 123,
"activated": 123,
"canceled": 123
}
},
"balance": {
"points": 123,
"pending_points": 123
},
"next_expiration": {
"points": 123,
"date": "2023-12-25"
},
"next_activation": {
"points": 123,
"type": "<string>",
"date": "2023-12-25",
"cancel_date": "2023-12-25"
},
"object": "<string>"
},
"object": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Unique member identifier
Member details
Unique member identifier
Associated customer identifier
Program the member belongs to
Current member status
ACTIVE, INACTIVE, DELETED Custom key-value metadata
ISO 8601 creation timestamp
ISO 8601 last update timestamp
"member"Cards assigned to this member
Show child attributes
Was this page helpful?